import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';

const jsonUrl =
  'https://gist.githubusercontent.com/erabinovich3/190b8e4d47d83ffeb7f87962838fb8dc/raw/simplified-countries-50m.json';

export const useData = () => {
  const [data, setData] = useState(null);
  console.log(data);

  useEffect(() => {
    json(jsonUrl).then((topology) => {
      setData(
        feature(topology, topology.objects.countries),
      );
    });
  }, []);

  return data;
};
